package gnu.javax.sound.sampled.wce;

import java.io.File;
import java.io.IOException;
import java.io.InputStream;
import java.net.URL;
import javax.sound.sampled.AudioFileFormat;
import javax.sound.sampled.AudioInputStream;
import javax.sound.sampled.UnsupportedAudioFileException;
import javax.sound.sampled.spi.AudioFileReader;

public class WCEAudioFileReader extends AudioFileReader {

	public AudioFileFormat getAudioFileFormat(InputStream stream)
			throws UnsupportedAudioFileException, IOException {

		// ToDo: 実装する
		throw new UnsupportedAudioFileException();
	}
	
	public AudioFileFormat getAudioFileFormat(URL url)
			throws UnsupportedAudioFileException, IOException {
		// ToDo: 実装する
		throw new UnsupportedAudioFileException();
	}

	public AudioFileFormat getAudioFileFormat(File file)
			throws UnsupportedAudioFileException, IOException {
		// ToDo: 実装する
		throw new UnsupportedAudioFileException();
	}
	
	public AudioInputStream getAudioInputStream(InputStream stream)
			throws UnsupportedAudioFileException, IOException {
		// ToDo: 実装する
		throw new UnsupportedAudioFileException();
	}

	public AudioInputStream getAudioInputStream(URL url)
			throws UnsupportedAudioFileException, IOException {
		// ToDo: 実装する
		throw new UnsupportedAudioFileException();
	}
	
	public AudioInputStream getAudioInputStream(File file)
			throws UnsupportedAudioFileException, IOException {
		// ToDo: 実装する
		throw new UnsupportedAudioFileException();
	}
}

